###################################################
### chunk number 1: 
###################################################
#line 18 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
library(BiomarkeR)
data(BIdata)


###################################################
### chunk number 2: 
###################################################
#line 29 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
pbi.scores <- pBI(dataset=pbi.data, classlabels=pbi.class, 
referenceclasslabel="rest", ids=pbi.id, useMedian = T, 
lambda = 100, plotScores = T, numTopRankedToPlot = 5)


###################################################
### chunk number 3: 
###################################################
#line 36 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
scores <- pBI(dataset=pbi.data, classlabels=pbi.class, referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE, lambda = 100, plotScores = FALSE, numTopRankedToPlot = 5)
numTopRanked <- 5
zoom <- 1
scoresRanked <- scores[match(sort(abs(scores), decreasing = TRUE), abs(scores))]
scoresTopRanked <- scoresRanked[1:numTopRanked]
cols <- ifelse(scoresTopRanked >= 0, "red", "blue")
method = "pBI"
barplot(scoresTopRanked, main =paste(method, " scores (top ", numTopRanked, "ranked attributes)", sep=" "), ylab=method, col=cols, cex.axis = zoom, cex.names=zoom, cex.lab=zoom, cex.main=zoom)  


###################################################
### chunk number 4: 
###################################################
#line 53 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
ubi.scores <- uBI(dataset=ubi.data, classlabels=ubi.class, 
referenceclasslabel="control", useMedian = TRUE, lambda = 100, 
plotScores = TRUE, numTopRankedToPlot = 5)


###################################################
### chunk number 5: 
###################################################
#line 60 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
scores <- uBI(dataset=ubi.data, classlabels=ubi.class, referenceclasslabel="control", useMedian = TRUE, lambda = 100, plotScores = FALSE, numTopRankedToPlot = 5)
numTopRanked <- 5
zoom <- 1
scoresRanked <- scores[match(sort(abs(scores), decreasing = TRUE), abs(scores))]
scoresTopRanked <- scoresRanked[1:numTopRanked]
cols <- ifelse(scoresTopRanked >= 0, "red", "blue")
method = "uBI"
barplot(scoresTopRanked, main =paste(method, " scores (top ", numTopRanked, "ranked attributes)", sep=" "), ylab=method, col=cols, cex.axis = zoom, cex.names=zoom, cex.lab=zoom, cex.main=zoom)  


###################################################
### chunk number 6: 
###################################################
#line 76 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
g <- pBIGraph(dataset=pbi.data, classlabels=pbi.class, 
referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE,  
lambda = 100, threshold = "q90", plotGraph = FALSE, edge.file = NULL)
plot(g,"neato")


###################################################
### chunk number 7: 
###################################################
#line 84 "d:/Rcompile/CRANpkg/local/2.12/BiomarkeR/inst/doc/BiomarkeR.Rnw"
g <- pBIGraph(dataset=pbi.data, classlabels=pbi.class, 
referenceclasslabel="rest", ids=pbi.id, useMedian = TRUE,  
lambda = 100, threshold = "q90", plotGraph = FALSE, edge.file = NULL)
plot(g,"neato")


